package com.example.demo;

import java.io.Serializable;
import java.util.UUID;
import javax.persistence.Embeddable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table
@NoArgsConstructor
@AllArgsConstructor
@Data
public class Profile {

    @EmbeddedId
    private Id id;
    private int age;


    @Embeddable
    @NoArgsConstructor
    @AllArgsConstructor
    @Data
    public static class Id implements Serializable {
        private String name;
        private UUID lastName;
    }
}
